#!/bin/sh
# $Id$

y=${1%-[01][0-9]}
m=${1#[0-9][0-9][0-9][0-9]-}

case ${m} in
01) d="Jan/$y";;
02) d="Feb/$y";;
03) d="Mar/$y";;
04) d="Apr/$y";;
05) d="May/$y";;
06) d="Jun/$y";;
07) d="Jul/$y";;
08) d="Aug/$y";;
09) d="Sep/$y";;
10) d="Oct/$y";;
11) d="Nov/$y";;
12) d="Dec/$y";;
esac

n=`uname -n`
case ${n} in
    shikster.*) n="01" ;;
    banny.*)    n="02" ;;
    rodrick.*)  n="03" ;;
    massha.*)   n="04" ;;
    markie.*)   n="05" ;;
esac

a="1"
  grep -E '^[^ ]+ - '"${USER}"' \[[0-3][0-9]/'"${d}"':' /jail/www/db/var/log/ispms-acc |\
( while [ -n "${a}" ]; do
    read a b c d e f g
    g=`echo ${g} | sed -Ee 's| +HTTP/.\.." +[0-9]+ +[0-9]+$||'`
    f=${f#'"'}
    case ${f} in
    GET)
        case ${g} in
        /|*/index.shtml*|*/idx.shtml) o="" ;;
        /adm/|/adm/account/|/adm/account/momon.shtml|/adm/advert/|/adm/dynamic/) o="" ;;
        /adm/rubuh/pay/rjrn.shtml*) o="" ;;
        /buh/|/buh|/cl/rubuh/|/cl/rubuh/pays*|/jr/|/mon/) o="" ;;
        /sprav/|/seek/*|/sys/|/sys/acc/|/sys/net/|/x/|/wr/rv_*) o="" ;;
        /_docvs/*)                        o="  " ;;
        /CRM/buh/smp*)                    o="   " ;;
        /CRM/buh/smr*)                    o="   " ;;
        /CRM/on_mon*)                     o="   " ;;
        /CRM/rep_mon*)                    o="  " ;;
        /CRM/rep_date*)                   o="  " ;;
        /adm/advert/ad_*)                 o="   " ;;
        /adm/advert/builduser_ad*)        o="   " ;;
        /adm/cs*)                         o="   " ;;
        /adm/cu3*)                        o="   " ;;
        /adm/dynamic/*)                   o="   " ;;
        /adm/rubuh/pay/ejrn*)             o=" " ;;
        /adm/rubuh/pay/jr*)               o=" " ;;
        /adm/traf*)                       o="   " ;;
        /blank/*)                         o=" " ;;
        /buh/ambush*)                     o="  " ;;
        /buh/futurepay*)                  o="  " ;;
        /buh/paysys*)                     o="   " ;;
        /cl/rubuh/ambush*)                o="  " ;;
        /cl/rubuh/pai*)                   o=" " ;;
        /cl/block*|/sys/net/blockall*)    o="   scand" ;;
        /cl/buildcl*)                     o="   " ;;
        /cl/client*|/cl/detail*)          o="   " ;;
        /cl/history*)                     o="  " ;;
        /cl/nastr*)                       o="   " ;;
        /cl/rubuh/break*|/cl/rubuh/docs*) o="  " ;;
        /cl/rubuh/jr*)                    o=" " ;;
        /cl/rubuh/tarif*)                 o=" " ;;
        /cl/traf*)                        o="  " ;;
        /jr/*)                            o=" " ;;
        /mon/arhiv*)                      o="  " ;;
        /mon/contact*)                    o="    " ;;
        /mon/builtime*)                   o="   " ;;
        /mon/dobmac*)                     o="  MAC" ;;
        /mon/load*)                       o="  " ;;
        /mon/nmmon*)                      o="   " ;;
        /mon/short*)                      o="  " ;;
        /out/list*)                       o="    " ;;
        /sprav/advertisement*)            o="    " ;;
        /sprav/build*)                    o="  " ;;
        /sprav/dollar*)                   o="   " ;;
        /sprav/instruct/*)                o=" " ;;
        /sprav/ptarif/*)                  o="  " ;;
        /sprav/resource*)                 o=" " ;;
        /sprav/tarif*)                    o="  " ;;
        /sys/acc/*)                       o=" " ;;
        /sys/dns/*)                       o="  DNS " ;;
        /sys/main*)                       o="    " ;;
        /sys/net/clip*)                   o=" IP  " ;;
        /sys/net/countip*)                o="  " ;;
        /sys/net/iface*|/sys/net/inet*)   o="  " ;;
        /sys/net/s_mon/*)                 o="   " ;;
        /sys/net/nats*)                   o="  NAT" ;;
        /sys/net/nets*)                   o="  " ;;
        /sys/net/pipe*)                   o="    " ;;
        /sys/net/sw*|/sys/net/deadlog*)   o="    " ;;
        /sys/net/tund*)                   o="   " ;;
        /sys/plan/*)                      o="  " ;;
        /sys/vers*)                       o="   " ;;
        /wr/auth/*)                       o=" " ;;
        /wr/bool_*)                       o="   " ;;
        /wr/cs_dns_*|/wr/cs_[sz]one_*)    o="  DNS  " ;;
        /wr/cs_email_v_*)                 o=" email" ;;
        /wr/cs_ip_v_*)                    o=" IP" ;;
        /x/*)                             o="  " ;;
        *) o="${g}"
        esac
        ;;
    esac
    if [ -n "${o}" -a -n "${a}" ]; then echo ${n}"	"${d}" "${e}"	"${o}; fi
  done
)
